TESTING/LIN/sptt02.f(3)

NAME
TESTING/LIN/sptt02.f

SYNOPSIS

  Functions/Subroutines
subroutine sptt02 (n, nrhs, d, e, x, ldx, b, ldb, resid)
SPTT02

Function/Subroutine Documentation

  subroutine sptt02 (integer n, integer nrhs, real, dimension( * ) d, real, dimension( * ) e, real, dimension( ldx, * ) x, integer ldx, real, dimension( ldb, * ) b, integer ldb, real resid)

SPTT02

Purpose:

     SPTT02 computes the residual for the solution to a symmetric
     tridiagonal system of equations:
        RESID = norm(B - A*X) / (norm(A) * norm(X) * EPS),
     where EPS is the machine epsilon.

Parameters
    N

              N is INTEGER
              The order of the matrix A.

    NRHS

              NRHS is INTEGER
              The number of right hand sides, i.e., the number of columns
              of the matrices B and X.  NRHS >= 0.

    D

              D is REAL array, dimension (N)
              The n diagonal elements of the tridiagonal matrix A.

    E

              E is REAL array, dimension (N-1)
              The (n-1) subdiagonal elements of the tridiagonal matrix A.

    X

              X is REAL array, dimension (LDX,NRHS)
              The n by nrhs matrix of solution vectors X.

    LDX

              LDX is INTEGER
              The leading dimension of the array X.  LDX >= max(1,N).

    B

              B is REAL array, dimension (LDB,NRHS)
              On entry, the n by nrhs matrix of right hand side vectors B.
              On exit, B is overwritten with the difference B - A*X.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,N).

    RESID

              RESID is REAL
              norm(B - A*X) / (norm(A) * norm(X) * EPS)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 103 of file sptt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.